List service requests
curl --request GET \
--url https://ai-api.getbreezyapp.com/api/v1/service-requests \
--header 'Authorization: Bearer <token>'import requests
url = "https://ai-api.getbreezyapp.com/api/v1/service-requests"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://ai-api.getbreezyapp.com/api/v1/service-requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<string>",
"referenceNumber": "<string>",
"conversationId": "<string>",
"voiceCallId": "<string>",
"contactId": "<string>",
"excludedFromReporting": true,
"manuallyExcludedFromReporting": true,
"instantBooking": true,
"customerName": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"phoneNumber": "<string>",
"serviceAddress": "<string>",
"serviceAddressLine1": "<string>",
"serviceAddressLine2": "<string>",
"serviceCity": "<string>",
"serviceState": "<string>",
"serviceZipCode": "<string>",
"jobTypeId": "<string>",
"jobTypeName": "<string>",
"jobClassName": "<string>",
"onlineBookingFormId": "<string>",
"bookingFormSubmissionId": "<string>",
"jobTypeFreetext": "<string>",
"availabilityWindows": [
{
"raw": "<string>",
"date": "<string>",
"timeWindowStart": "<string>",
"timeWindowEnd": "<string>",
"timeWindowLabel": "<string>",
"start": "<string>",
"end": "<string>",
"flexible": true
}
],
"serviceNeeded": "<string>",
"emailAddress": "<string>",
"preferredTimeWindow": "<string>",
"isExistingCustomer": true,
"leadSourceId": "<string>",
"leadSourceName": "<string>",
"conversationSummary": "<string>",
"customFields": {},
"createdAt": "<string>",
"updatedAt": "<string>",
"fsmJobLeadGuid": "<string>",
"fsmRecord": {
"kind": "<unknown>",
"jobLeadGuid": "<string>",
"accountGuid": null,
"locationGuid": null,
"jobGuid": null,
"appointmentGuid": null
},
"bookingDetails": {
"confirmedWindowStart": "<string>",
"confirmedWindowEnd": "<string>",
"jobDurationMinutes": 0,
"bookingRequestId": "<string>",
"fsmCustomerGuid": "<string>",
"fsmLocationGuid": "<string>",
"fsmJobGuid": "<string>",
"fsmAppointmentGuid": "<string>",
"bookedAt": "<string>",
"providerMetadata": {}
}
}
],
"total": 0,
"offset": 0,
"limit": 0,
"hasMore": true
}Service Requests
List service requests
GET
/
service-requests
List service requests
Authorizations
userJwtBearerserviceApiKeyBearer
User JWT bearer token. User principals can manage API keys and call tenant-scoped customer endpoints.
Query Parameters
Required range:
0 <= x <= 9007199254740991Required range:
1 <= x <= 100Available options:
needs_info, ready_to_schedule, scheduled, completed, canceled Available options:
web_chat, voice_call, booking_form Unique identifier (UUID)
Pattern:
^[\da-f]{8}-[\da-f]{4}-[\da-f]{4}-[\da-f]{4}-[\da-f]{12}$Maximum string length:
200Available options:
createdAt, updatedAt, customerName, status, leadSourceName, phoneNumber, channel, jobTypeFreetext, referenceNumber Available options:
asc, desc Response
200 - application/json
OK
Show child attributes
Show child attributes
Required range:
-9007199254740991 <= x <= 9007199254740991Required range:
-9007199254740991 <= x <= 9007199254740991Required range:
-9007199254740991 <= x <= 9007199254740991⌘I